% Indlser det skarpe billede
Original = imread('camera.bmp'); 
figure;
imshow(Original);
title('Original Billede');

% Laver Point Spread Function PSF, en bevgelsesslring i dette tilflde
laengde = 26;
vinkel = 10;
PSF = fspecial('motion',laengde,vinkel);

% Slrer det originale billede, udfres ved en cirkulr foldning
Sloeret_billede = imfilter(Original,PSF,'circular','conv');
figure; 
imshow(Sloeret_billede);
title('Slret billede');

% Foretager deblurring. Billedet skal nu g fra at vre slret til at blive
% tydeligt efter wiener filteret. 
wienerfiltreret = deconvwnr(Sloeret_billede,PSF);
figure;
imshow(wienerfiltreret);
title('Billede deblurring med Wiener Filer');